#include <Arduino.h>
#include <Adafruit_GFX.h>    // Core graphics library
#include <Adafruit_I2CDevice.h>
#include <Adafruit_ST7789.h> // Hardware-specific library for ST7789
#include <SPI.h>             // Arduino SPI library

#define TFT_MOSI 11  // SDA Pin on ESP32
#define TFT_SCLK 12  // SCL Pin on ESP32
#define TFT_CS   10  // Chip select control pin
#define TFT_DC    9  // Data Command control pin
#define TFT_RST  46  // Reset pin (could connect to RST pin)

int t_hour = 10;
int t_min = 59;
int t_sec = 50;
String t_day[ 7 ] = { "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"} ;



// Initialize Adafruit ST7789 TFT library
Adafruit_ST7789 tft = Adafruit_ST7789(TFT_CS, TFT_DC, TFT_RST);
 

 
void tftPrintTest() {
   
  t_sec = t_sec + 1;
  if(t_sec == 60){
    t_sec = 0;
    t_min = t_min + 1;
    if(t_min == 60){
      t_hour = t_hour + 1;
      t_min = 0;
      if(t_hour == 24){
        t_hour = 0;
        }
      }
    }
  tft.setTextWrap(true);
  tft.fillScreen(ST77XX_BLACK);
  tft.setCursor(0, 30);               
  tft.setTextColor(ST77XX_GREEN);
  tft.setTextSize(4);
  tft.print("2022-09-01");

  tft.setCursor(15, 80);
  tft.setTextColor(ST77XX_BLUE);     
  tft.setTextSize(4);
  tft.print(t_day[3 ]);

  tft.setCursor(15, 130);               
  tft.setTextColor(ST77XX_RED);
  tft.setTextSize(5);
  tft.print(t_hour);

  tft.setTextColor(ST77XX_RED);       
  tft.setTextSize(5);
  tft.print(":");
  
  tft.setTextColor(ST77XX_RED);    
  tft.setTextSize(5);
  if(t_min < 10){
    tft.print(0);
    }
  tft.print(t_min);
  
  tft.setCursor(168
  
  , 142); 
  tft.setTextColor(ST77XX_YELLOW);    
  tft.setTextSize(3);
  if(t_sec < 10){
    tft.print(0);
    }
  tft.println( t_sec);

  

  tft.setCursor(5, 180);             
  tft.setTextColor(ST77XX_GREEN);
  tft.setTextSize(2);
  tft.println("I am a slow walker,but I never walk backwards!");

  delay(1000);
}
 
void setup(void) {
  Serial.begin(115200);
    
  tft.init(240, 240, SPI_MODE2);    // Init ST7789 display 135x240 pixel
  tft.setRotation(2);
  tft.fillScreen(ST77XX_BLACK);
}
 
void loop() {
  tft.invertDisplay(true);
  tftPrintTest();
  delay(1000);
}
